org.wildfly.swarm.config.ejb3

## Class IIOPService<T extends IIOPService<T>>

- java.lang.Object
- - org.wildfly.swarm.config.ejb3.IIOPService<T>

-     public class IIOPService<T extends IIOPService<T>>
      extends Object

  The IIOP service

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IIOPService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `enableByDefault()` If this is true EJB's will be exposed over IIOP by default, otherwise it needs to be explicitly enabled in the deployment descriptor
    `T` | `enableByDefault(Boolean value)` If this is true EJB's will be exposed over IIOP by default, otherwise it needs to be explicitly enabled in the deployment descriptor
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Boolean` | `useQualifiedName()` If true EJB names will be bound into the naming service with the application and module name prepended to the name (e.g.
    `T` | `useQualifiedName(Boolean value)` If true EJB names will be bound into the naming service with the application and module name prepended to the name (e.g.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IIOPService

          public IIOPService()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### enableByDefault

          public Boolean enableByDefault()

      If this is true EJB's will be exposed over IIOP by default, otherwise it needs to be explicitly enabled in the deployment descriptor

    - #### enableByDefault

          public T enableByDefault(Boolean value)

      If this is true EJB's will be exposed over IIOP by default, otherwise it needs to be explicitly enabled in the deployment descriptor

    - #### useQualifiedName

          public Boolean useQualifiedName()

      If true EJB names will be bound into the naming service with the application and module name prepended to the name (e.g. myapp/mymodule/MyEjb)

    - #### useQualifiedName

          public T useQualifiedName(Boolean value)

      If true EJB names will be bound into the naming service with the application and module name prepended to the name (e.g. myapp/mymodule/MyEjb)

Copyright © 2017 JBoss by Red Hat. All rights reserved.